## python-pytest-benchmark 3.0.0

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx-py3doc-enhanced-theme>=2.2.0
-e .

=== debian/changelog ===
python-pytest-benchmark (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #834519)

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 27 Aug 2016 21:54:12 +0200

=== debian/control ===
Source: python-pytest-benchmark
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/ionelmc/pytest-benchmark
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pytest-benchmark.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-pytest-benchmark.git

Package: python-pytest-benchmark
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pytest (>= 2.6)
Description: pytest fixture for benchmarking code (Python 2)
 This plugin provides a benchmark fixture. This fixture is a callable object
 that will benchmark any function passed to it.
 .
 Notable features and goals:
  - Sensible defaults and automatic calibration for microbenchmarks
  - Good integration with pytest
  - Comparison and regression tracking
  - Exhausive statistics
  - JSON export
 .
 This package installs the library for Python 2.

Package: python3-pytest-benchmark
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pytest (>= 2.6)
Description: pytest fixture for benchmarking code (Python 3)
 This plugin provides a benchmark fixture. This fixture is a callable object
 that will benchmark any function passed to it.
 .
 Notable features and goals:
  - Sensible defaults and automatic calibration for microbenchmarks
  - Good integration with pytest
  - Comparison and regression tracking
  - Exhausive statistics
  - JSON export
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pytest-benchmark

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_python3:
	        dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-benchmark-$1\.tar\.gz/ \
  https://github.com/ionelmc/pytest-benchmark/tags .*/v?(\d\S*)\.tar\.gz

## python-pytest-benchmark 3.1.1

=== debian/changelog ===
python-pytest-benchmark (3.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/control:
    - Set Vcs-* to salsa.debian.org.
  * debian/changelog:
    - Remove trailing whitespaces.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * New binary package pytest-benchmark shipping executables.
    - Add manpage debian/pytest-benchmark.1 and manpages listing
      debian/pytest-benchmark.manpages.
    - Update debian/rules to build application package.
    - Update debian/control to mention this new package.
  * Bump debian/compat to 11.
  * debian/control:
    - Fix dependencies of binary packages in debian/control:
      o Update required version of pytest to 2.8.
      o Recommend installation of python{3,}-elasticsearch.
      o Add python-statistics and python-pathlib to the Depends
        field of python-pytest-benchmark (Closes: #846045).
      o Add python{3,}-cpuinfo to the Depends field of
        python{3,}-pytest-benchmark.
      o Remove useless version indication in the Build-Dependency
        python-all.
    - Update Description field for binary package python-pytest-benchmark.
    - Bump Standards-Version to 4.1.3.
    - Update debhelper Build-Dep to >= 11.
    - Declare autopkgtest testsuite.
  * debian/copyright:
    - Update copyright years.
  * Update debian/watch to version 4.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 25 Mar 2018 18:14:06 +0200

=== debian/control ===
Source: python-pytest-benchmark
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=11),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.3
Homepage: https://github.com/ionelmc/pytest-benchmark
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pytest-benchmark.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pytest-benchmark

Package: python-pytest-benchmark
Architecture: all
Recommends: python-elasticsearch
Depends: ${misc:Depends},
         ${python:Depends},
         python-statistics,
         python-pathlib,
         python-cpuinfo,
         python-pytest (>= 2.8)
Description: pytest fixture for benchmarking code
 This plugin provides a benchmark fixture. This fixture is a callable object
 that will benchmark any function passed to it.
 .
 Notable features and goals:
  - Sensible defaults and automatic calibration for microbenchmarks
  - Good integration with pytest
  - Comparison and regression tracking
  - Exhausive statistics
  - JSON export
 .
 This package installs the library for Python 2.

Package: python3-pytest-benchmark
Architecture: all
Recommends: python3-elasticsearch
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-cpuinfo,
         python3-pytest (>= 2.8)
Description: pytest fixture for benchmarking code (Python 3)
 This plugin provides a benchmark fixture. This fixture is a callable object
 that will benchmark any function passed to it.
 .
 Notable features and goals:
  - Sensible defaults and automatic calibration for microbenchmarks
  - Good integration with pytest
  - Comparison and regression tracking
  - Exhausive statistics
  - JSON export
 .
 This package installs the library for Python 3.

Package: pytest-benchmark
Section: devel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pytest-benchmark
Description: tool for inspecting benchmark data from pytest-benchmark
 This package provides a command line util for inspecting benchmark data
 generated by the pytest-benchmark fixture. It allows one to display
 benchmark data as well as generate histograms or csv exports.

## python-pytest-benchmark 3.2.2

=== debian/changelog ===
python-pytest-benchmark (3.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Hugo Lefeuvre ]
  * Drop Python 2 support.
  * Recommend python3-freezegun and python3-pygal (required to run pytest
    --fixture tests).
  * Bump to compat 12.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 03 Aug 2019 14:03:17 +0200

python-pytest-benchmark (3.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Hugo Lefeuvre ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.3.
  * debian/copyright:
    - Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 04 Feb 2019 18:41:47 +0100

=== debian/control ===
Source: python-pytest-benchmark
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/ionelmc/pytest-benchmark
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pytest-benchmark.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pytest-benchmark

Package: python3-pytest-benchmark
Architecture: all
Recommends: python3-elasticsearch,
            python3-freezegun,
            python3-pygal
Depends: python3-cpuinfo,
         python3-pytest (>= 2.8),
         ${misc:Depends},
         ${python3:Depends}
Description: pytest fixture for benchmarking code
 This plugin provides a benchmark fixture. This fixture is a callable object
 that will benchmark any function passed to it.
 .
 Notable features and goals:
  - Sensible defaults and automatic calibration for microbenchmarks
  - Good integration with pytest
  - Comparison and regression tracking
  - Exhausive statistics
  - JSON export

Package: pytest-benchmark
Section: devel
Architecture: all
Depends: python3-pytest-benchmark,
         ${misc:Depends},
         ${python3:Depends}
Description: tool for inspecting benchmark data from pytest-benchmark
 This package provides a command line util for inspecting benchmark data
 generated by the pytest-benchmark fixture. It allows one to display
 benchmark data as well as generate histograms or csv exports.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-benchmark
export PYBUILD_DEST_DIR_python3=debian/python3-pytest-benchmark
export PYBUILD_DEST_DIR_APP=debian/pytest-benchmark

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install
	# Move the python3 application to the application package.
	mkdir -p $(PYBUILD_DEST_DIR_APP)/usr/bin
	mv $(PYBUILD_DEST_DIR_python3)/usr/bin/pytest-benchmark $(PYBUILD_DEST_DIR_APP)/usr/bin
	# Remove useless second copy of py3 app, not sure why it's here.
	rm $(PYBUILD_DEST_DIR_python3)/usr/bin/py.test-benchmark

## python-pytest-benchmark 4.0.0

=== debian/changelog ===
python-pytest-benchmark (4.0.0-3) unstable; urgency=medium

  * Ignore DeprecationWarning about datetime UTC (Closes: #1058409)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Dec 2023 21:03:34 +0100

python-pytest-benchmark (4.0.0-2) unstable; urgency=medium

  * Handle architecture exception thrown by cpuinfo

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Sep 2023 13:46:46 +0200

python-pytest-benchmark (4.0.0-1) unstable; urgency=medium

  * Replace retired maintainer with Debian Python Team (Closes: #1050625)
  * New upstream version 4.0.0
  * Switch to debhelper 13
  * Bump Standards-Version to 4.6.2
  * Switch to pybuild-autopkgtest
  * Clean up d/rules and d/control
  * Skip tests which use unpackaged aspectlib
  * Do not fail tests on certain warnings
  * Python 3.11 and PyTest 7.2 compat fixes
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 15 Sep 2023 23:46:23 +0200

python-pytest-benchmark (3.2.2-4) unstable; urgency=medium

  * Team upload.
  * Add missing depend on python3-py (Closes: #1040398)

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Jul 2023 23:49:23 +0200

python-pytest-benchmark (3.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:27:49 -0400

=== debian/control ===
Source: python-pytest-benchmark
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-python,
 git <!nocheck>,
 mercurial <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cpuinfo,
 python3-elasticsearch <!nocheck>,
 python3-freezegun <!nocheck>,
 python3-py,
 python3-pygal <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/ionelmc/pytest-benchmark
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-benchmark.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-benchmark

Package: python3-pytest-benchmark
Architecture: all
Recommends:
 python3-elasticsearch,
 python3-freezegun,
 python3-pygal,
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: pytest fixture for benchmarking code
 This plugin provides a benchmark fixture. This fixture is a callable object
 that will benchmark any function passed to it.
 .
 Notable features and goals:
  - Sensible defaults and automatic calibration for microbenchmarks
  - Good integration with pytest
  - Comparison and regression tracking
  - Exhausive statistics
  - JSON export

Package: pytest-benchmark
Section: devel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pytest-benchmark,
Description: tool for inspecting benchmark data from pytest-benchmark
 This package provides a command line util for inspecting benchmark data
 generated by the pytest-benchmark fixture. It allows one to display
 benchmark data as well as generate histograms or csv exports.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pytest-benchmark

MODULE_DIR = debian/python3-pytest-benchmark
APP_DIR = debian/pytest-benchmark

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p $(APP_DIR)/usr/bin
	mv $(MODULE_DIR)/usr/bin/pytest-benchmark $(APP_DIR)/usr/bin
	rm $(MODULE_DIR)/usr/bin/py.test-benchmark
	# FIXME: why are test leftovers installed by pybuild?
	rm -rf $(MODULE_DIR)/usr/lib/python3*/*-packages/docs \
	       $(MODULE_DIR)/usr/lib/python3*/*-packages/*.svg

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-benchmark-$1\.tar\.gz/ \
  https://github.com/ionelmc/pytest-benchmark/tags .*/v?(\d\S*)\.tar\.gz

## python-pytest-benchmark 5.1.0

=== debian/changelog ===
python-pytest-benchmark (5.1.0-2) unstable; urgency=medium

  * Team Upload
  * Drop dependency on python3-py
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 08:44:30 +0200

python-pytest-benchmark (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Update patches
    - Drop 0003-Fix-clonefunc-for-Python-3.11.patch
    - Drop 0004-Fix-pytest-7.2-compat.patch
    - Drop 0006-Ignore-DeprecationWarning-about-datetime-UTC.patch
    Those patches have been superseded by upstream changes.
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 04 Nov 2024 12:48:15 +0100

python-pytest-benchmark (4.0.0-4) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * Skip unit test mismatching argparser help text in Python 3.13
    (Closes: #1082260)

 -- Timo Röhling <roehling@debian.org>  Tue, 15 Oct 2024 21:04:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-python,
  git <!nocheck>,
  mercurial <!nocheck>,
  pybuild-plugin-pyproject,
@@ -15,12 +14,11 @@
  python3-cpuinfo,
  python3-elasticsearch <!nocheck>,
  python3-freezegun <!nocheck>,
- python3-py,
  python3-pygal <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ionelmc/pytest-benchmark
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-benchmark.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = pytest-benchmark
+export PYBUILD_TEST_ARGS = -k "not test_help"
 
 MODULE_DIR = debian/python3-pytest-benchmark
 APP_DIR = debian/pytest-benchmark
@@ -15,5 +16,3 @@
 	# FIXME: why are test leftovers installed by pybuild?
 	rm -rf $(MODULE_DIR)/usr/lib/python3*/*-packages/docs \
 	       $(MODULE_DIR)/usr/lib/python3*/*-packages/*.svg
-
-

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 uversionmangle=s%[.-]?(a|b|r?c|dev|pre)%~$1%,\
 searchmode=plain \
 https://api.github.com/repos/ionelmc/pytest-benchmark/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## python-pytest-benchmark 5.2.3

=== debian/changelog ===
python-pytest-benchmark (5.2.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 5.2.3
  * Refresh 1 patch, drop python3-py patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Nov 2025 21:58:04 +0100
